Photoshop: Error message 'Could not complete your request because of a program error.'

  • 10
  • Problem
  • Updated 2 years ago
  • Solved
  • (Edited)
Over the last few days (well a couple at least!) every time I try to carry out a task in Photoshop (i.e. Spell Checking, Save As, test changes etc.) I'm getting the following message 'Could not complete your request because of a program error.' and it won't allow me to carry out that particular task. It's very annoying and is slowing down my work immensely.
However, if I keep trying to complete the task I want and keep trying again and again I've, sometimes, been able to get past the error message but, at other times, I've simply had to give up!
This is a totally new problem to me one, I should add, that I've never come across in the twenty odd years I've been working with the software.
As I've said it's very frustrating so what can I do about it?
Photo of David Boyes

David Boyes

  • 21 Posts
  • 0 Reply Likes

Posted 5 years ago

  • 10
Photo of Lowell Stadelman

Lowell Stadelman

  • 2 Posts
  • 0 Reply Likes
In case anyone else sees this problem I've found a potential fix... at least for my problem.

Ok... not a program error just an incorrect message....

If the layer is locked then an error message will pop up which states that it could not complete the request due to a program error.

I unlocked the layer and the blur filter worked as before.
Photo of Shinara Armitage

Shinara Armitage

  • 2 Posts
  • 0 Reply Likes
I read through heaps of the different forums for this problem.

I had the Issue:
2014:10:21 19:35:18 : /Volumes/workarea/PS_15_Mac_Daily_Retail/20141014.r.257/photoshop/main/photoshop/sources/ULinkManager.cpp : 1380 : REQUIRE failed

Over and Over again.
It was obvious that I was working with the photoshop timeline and had too much going on.

I rasterized ALL of my layers to get a working screen again. That was the only way I could get back on board with saving, editing and having access to my layers.

Good luck!!!
Photo of Chris Cox

Chris Cox

  • 20280 Posts
  • 838 Reply Likes
This is a great conversation that's separate from the main one, so I created a new conversation to continue the discussion.

Please reference the new conversation here: Photoshop CC 2014.2.1 - program error
Photo of Alan Woo

Alan Woo

  • 3 Posts
  • 0 Reply Likes
Photo of s

s

  • 11 Posts
  • 0 Reply Likes
Why is this issue listed as solved when its not??
Photo of Jeffrey Tranberry

Jeffrey Tranberry, Sr. Product Manager, Digital Imaging

  • 15365 Posts
  • 2239 Reply Likes
Are you having an issue where you are getting a program error? If so, please start a new thread.

Can you post the last 10 lines of this log file:

Photoshop Program Error Log:

Mac: Users/[user name]/Library/Preferences/Adobe Photoshop CC Settings/PSErrorLog.txt

Windows: Users/[user name]/AppData/Roaming/Adobe/Adobe Photoshop CC/Adobe Photoshop CC Settings/PSErrorLog.txt

You may need to use Method two in this document to access hidden user library files in OS X 10.7 or later: http://helpx.adobe.com/x-productkb/gl...

Thanks
Photo of s

s

  • 11 Posts
  • 0 Reply Likes
Sure but it doesn't say much. I'm on an imac running yosemite btw. Full specs:

iMac (27-inch, Late 2012), 3,2 GHz Intel Core i5, 24 GB 1600 MHz DDR3, NVIDIA GeForce GTX 680MX 2048 MB
Photo of s

s

  • 11 Posts
  • 0 Reply Likes
Here's the log:

2014:08:11 16:02:55 : /Volumes/workarea/PS_15_Mac_Daily_Retail/20140730.r.148/photoshop/main/photoshop/xcode/../interfaces/UCopyOnModifyImp.h : 214 : REQUIRE failed
2014:10:28 14:01:10 : tracked key 0000000000000408 of type P5_ADsc not found : 1 : REQUIRE failed
2014:10:28 14:01:10 : /Volumes/workarea/PS_15_Mac_Daily_Retail/20141014.r.257/photoshop/main/photoshop/xcode/../interfaces/UTrackResourceImp.h : 137 : REQUIRE failed
Photo of s

s

  • 11 Posts
  • 0 Reply Likes
and to top it of I'm also getting this error now when i try to open a file, but thats probably another thread:

*** Collection was mutated while being enumerated.
Photo of Jeffrey Tranberry

Jeffrey Tranberry, Sr. Product Manager, Digital Imaging

  • 15365 Posts
  • 2239 Reply Likes
Did the problem occur prior to the upgrade to Yosemite?
Photo of s

s

  • 11 Posts
  • 0 Reply Likes
no
Photo of Jeffrey Tranberry

Jeffrey Tranberry, Sr. Product Manager, Digital Imaging

  • 15365 Posts
  • 2239 Reply Likes
OK. I've asked Chris to take a look at the error log. He's better at deciphering them.

One thing to try is running Photoshop under a new Admin account. We often see corrupted user accounts after an OS update. http://blogs.adobe.com/crawlspace/201...
Photo of Chris Cox

Chris Cox

  • 20280 Posts
  • 838 Reply Likes
Those are indications of a bug in an automation plugin. The culprit could be a third party automation plugin, but it could also be one of ours somehow hitting a case we haven't seen before.
Photo of Danny merrion

Danny merrion

  • 3 Posts
  • 0 Reply Likes
Hi I'm running the latest adobe cloud software downloaded directly from the cloud and paying £48 + a month, I have a error i have never had before with the spell check for some strange reason everything else is working at this point other than this as far as I'm aware but can only bet if i have a system error here more will appear.

Im in desperate need of support as this is something i require to do my job on adobe photoshop, Im a little dyslexic and this is vital to my operation in this programme.

Please help
Photo of Chris Cox

Chris Cox

  • 20280 Posts
  • 838 Reply Likes
This is a great conversation that's separate from the main one, so I created a new conversation to continue the discussion.

Please reference the new conversation here: PHOTOSHOP CC 2014: Getting program error from spell check
Photo of Sean Conrad

Sean Conrad

  • 2 Posts
  • 0 Reply Likes
I am receiving this message now that I upgraded to CC in Yosemite.

I did a complete clean install of Yosemite and all over the CC programs.

My log file says:
2015:01:06 13:41:33 : tracked key 0000000000001468 of type P5_ADsc not found : 1 : REQUIRE failed
2015:01:06 13:41:33 : /Volumes/workarea/PS_15_Mac_Daily_Retail/20141204.r.310/photoshop/main/photoshop/xcode/../interfaces/UTrackResourceImp.h : 137 : REQUIRE failed
2015:01:06 13:41:33 : tracked key 00000000000010C0 of type P5_ADsc not found : 1 : REQUIRE failed
2015:01:06 13:41:33 : /Volumes/workarea/PS_15_Mac_Daily_Retail/20141204.r.310/photoshop/main/photoshop/xcode/../interfaces/UTrackResourceImp.h : 137 : REQUIRE failed
2015:01:06 13:41:33 : tracked key 0000000000000E38 of type P5_ADsc not found : 1 : REQUIRE failed
2015:01:06 13:41:33 : /Volumes/workarea/PS_15_Mac_Daily_Retail/20141204.r.310/photoshop/main/photoshop/xcode/../interfaces/UTrackResourceImp.h : 137 : REQUIRE failed
2015:01:06 13:41:33 : tracked key 0000000000000460 of type P5_ADsc not found : 1 : REQUIRE failed
2015:01:06 13:41:33 : /Volumes/workarea/PS_15_Mac_Daily_Retail/20141204.r.310/photoshop/main/photoshop/xcode/../interfaces/UTrackResourceImp.h : 137 : REQUIRE failed
Photo of Chris Cox

Chris Cox

  • 20280 Posts
  • 838 Reply Likes
All of those are due to automation plugins (most likely third party) misusing tracked resources in the plugin API.

Try disabling your third party plugins.
Photo of Sean Conrad

Sean Conrad

  • 2 Posts
  • 0 Reply Likes
I tried this. There was only one running. FontExplorer. I removed this plugin from both the plug in folder in Photoshop and from the Tools menu in FontExplorer.

Just received the same error and checked my system info:

Optional and third party plug-ins: NONE

Plug-ins that failed to load: NONE

Flash: NONE
Installed TWAIN devices: NONE
Photo of Mark Robison

Mark Robison

  • 3 Posts
  • 0 Reply Likes
I am getting the same "could not complete your reguest because of a program error" message. The fixes suggested by third parties online worked...for a while. Now nothing works. Those "fixes" involved 1. resetting tool presets, 2. unchecking "save in background" under file handling, and 3. choosing "middle eastern and south asian" under the type preference window.

Please tell me what I can do to get back to work.
Photo of Chris Cox

Chris Cox

  • 20280 Posts
  • 838 Reply Likes
Without the PSErrorLog.txt contents, we can't know what kind of error you are encountering. You haven't even told us what version of Photoshop and what OS version you are using.
Photo of Mark Robison

Mark Robison

  • 3 Posts
  • 0 Reply Likes
Sorry, here you go:

OS 10.9.5
Photoshop 14.2 x64

2015:03:13 06:12:30 : /Volumes/workarea/PS_14_Mac_Daily_Retail/20131211.r.515/photoshop/main/photoshop/xcode/../sources/USheet.cpp : 459 : REQUIRE failed
2015:03:13 06:12:47 : /Volumes/workarea/PS_14_Mac_Daily_Retail/20131211.r.515/photoshop/main/photoshop/xcode/../sources/USheet.cpp : 459 : REQUIRE failed
2015:03:13 06:13:00 : /Volumes/workarea/PS_14_Mac_Daily_Retail/20131211.r.515/photoshop/main/photoshop/xcode/../sources/USheet.cpp : 459 : REQUIRE failed
2015:03:13 08:04:54 : /Volumes/workarea/PS_14_Mac_Daily_Retail/20131211.r.515/photoshop/main/photoshop/xcode/../sources/OWLPanelManager.cpp : 3651 : REQUIRE failed
2015:03:13 08:05:56 : /Volumes/workarea/PS_14_Mac_Daily_Retail/20131211.r.515/photoshop/main/photoshop/xcode/../sources/USheet.cpp : 459 : REQUIRE failed
2015:03:13 08:08:54 : /Volumes/workarea/PS_14_Mac_Daily_Retail/20131211.r.515/photoshop/main/photoshop/xcode/../sources/USheet.cpp : 459 : REQUIRE failed
2015:03:13 08:09:33 : /Volumes/workarea/PS_14_Mac_Daily_Retail/20131211.r.515/photoshop/main/photoshop/xcode/../sources/USheet.cpp : 459 : REQUIRE failed
2015:03:13 08:09:59 : /Volumes/workarea/PS_14_Mac_Daily_Retail/20131211.r.515/photoshop/main/photoshop/xcode/../sources/USheet.cpp : 459 : REQUIRE failed
2015:03:13 08:10:31 : /Volumes/workarea/PS_14_Mac_Daily_Retail/20131211.r.515/photoshop/main/photoshop/xcode/../sources/USheet.cpp : 459 : REQUIRE failed
2015:03:13 08:11:16 : /Volumes/workarea/PS_14_Mac_Daily_Retail/20131211.r.515/photoshop/main/photoshop/xcode/../sources/USheet.cpp : 459 : REQUIRE failed
2015:03:13 08:11:31 : /Volumes/workarea/PS_14_Mac_Daily_Retail/20131211.r.515/photoshop/main/photoshop/xcode/../sources/USheet.cpp : 459 : REQUIRE failed
2015:03:13 08:11:36 : /Volumes/workarea/PS_14_Mac_Daily_Retail/20131211.r.515/photoshop/main/photoshop/xcode/../sources/USheet.cpp : 459 : REQUIRE failed
2015:03:13 08:12:09 : /Volumes/workarea/PS_14_Mac_Daily_Retail/20131211.r.515/photoshop/main/photoshop/xcode/../sources/USheet.cpp : 459 : REQUIRE failed
2015:03:13 08:12:33 : /Volumes/workarea/PS_14_Mac_Daily_Retail/20131211.r.515/photoshop/main/photoshop/xcode/../sources/USheet.cpp : 459 : REQUIRE failed
2015:03:13 08:12:57 : /Volumes/workarea/PS_14_Mac_Daily_Retail/20131211.r.515/photoshop/main/photoshop/xcode/../sources/USheet.cpp : 459 : REQUIRE failed
2015:03:13 08:12:59 : /Volumes/workarea/PS_14_Mac_Daily_Retail/20131211.r.515/photoshop/main/photoshop/xcode/../sources/USheet.cpp : 459 : REQUIRE failed
2015:03:13 08:13:02 : /Volumes/workarea/PS_14_Mac_Daily_Retail/20131211.r.515/photoshop/main/photoshop/xcode/../sources/USheet.cpp : 459 : REQUIRE failed
2015:03:13 08:13:12 : /Volumes/workarea/PS_14_Mac_Daily_Retail/20131211.r.515/photoshop/main/photoshop/xcode/../sources/USheet.cpp : 459 : REQUIRE failed
2015:03:13 08:13:16 : /Volumes/workarea/PS_14_Mac_Daily_Retail/20131211.r.515/photoshop/main/photoshop/xcode/../sources/USheet.cpp : 459 : REQUIRE failed
2015:03:13 08:13:19 : /Volumes/workarea/PS_14_Mac_Daily_Retail/20131211.r.515/photoshop/main/photoshop/xcode/../sources/USheet.cpp : 459 : REQUIRE failed
Photo of Chris Cox

Chris Cox

  • 20280 Posts
  • 838 Reply Likes
Hmm, something is trying to access a layer with an incorrect image mode (one that does not support layers).

Make sure you have the Photoshop 14.2.1 update installed - you're on 14.2.0.
Photo of Uriah Ocean Peterson

Uriah Ocean Peterson

  • 1 Post
  • 0 Reply Likes
Oh boy ... this is happening at the worst time.

Photoshop CC has become super unstable. I keep getting an error prompt very soon after opening. I have read this post as thoroughly as I can in an effort to resolve what appears to be the same exact issue as I am having. I have reset preferences No luck. In addition, my CC reference window on my MAC is showing that I have the latests updates.

Here is a copy of the error log. It makes no sense whatsoever to me.

2014:12:20 02:46:18 : tracked key 00000000000052D8 of type P5_ADsc not found : 1 : REQUIRE failed
2014:12:20 02:46:18 : /Volumes/workarea/PS_15_Mac_Daily_Retail/20141204.r.310/photoshop/main/photoshop/xcode/../interfaces/UTrackResourceImp.h : 137 : REQUIRE failed
2014:12:20 02:46:19 : tracked key 00000000000052D0 of type P5_ADsc not found : 1 : REQUIRE failed
2014:12:20 02:46:19 : /Volumes/workarea/PS_15_Mac_Daily_Retail/20141204.r.310/photoshop/main/photoshop/xcode/../interfaces/UTrackResourceImp.h : 137 : REQUIRE failed
Photo of Chris Cox

Chris Cox

  • 20280 Posts
  • 838 Reply Likes
All of those messages are from automation plugins with bad code, but not necessarily fatal.

What OS version are you using?
When do you get the program error message?
If you are on Yosemite and getting it during the open and save dialogs - make sure you have the latest OS updates installed, but this is a very common MacOS 10.10 problem that everyone is waiting for Apple to solve.
Photo of Ashfaq Khalid

Ashfaq Khalid

  • 1 Post
  • 0 Reply Likes
Hi 
i have an easy solution 
just 3 Clicks 
Photo of Markus

Markus

  • 1 Post
  • 0 Reply Likes
This reply was created from a merged topic originally titled Photoshop: Can't create rectangular mask - program error.

I can't draw any rectangular masks anymore, I can't drag layers around anymore. Whenever I try, I get a popup saying "Could not complete your request because of a program error"